// logic sim: Verilog Sample - Verilog netlist
// file: Verilog Sample.cct
// generated by: DesignWorks version 4.0M

`timescale 1ns/100ps

module top;
reg clk;
reg enabl;
reg reset;
not  not2(clk_not, clk);
not  not1(q4_not, q4);
tsflop  ff4(clk, q3, q4, SIG28, SIG29, SIG30, enabl, reset);
tsflop  ff3(clk, q2, q3, SIG20, SIG21, SIG22, enabl, reset);
tsflop  ff2(clk, q1, q2, SIG12, SIG13, SIG14, enabl, reset);
tsflop  ff1(clk, q4_not, q1, SIG4, SIG5, SIG6, enabl, reset);
// Stimulus
	initial
	begin
		reset = 'b1;
		enabl = 'b1;
		clk   = 'b0;
		#1
		reset = 'b0;
		#1
		reset = 'b1;
		#23
		enabl = 'b0;
		#50
		enabl = 'b1;
		#425 $finish;
	end
	always
		#3
		forever  
			#2  clk = clk_not;


endmodule


//
// Definition of type dflop, specified structurally in the schematic
//
module dflop (clk, data, q_, qbar_, reset);
input	clk;
input	data;
output	q_;
output	qbar_;
input	reset;
cmos  DEV9(qbar_, x, clk_not, clk);
cmos  DEV4(a, b, clk, clk_not);
cmos  DEV3(a, data, clk_not, clk);
nor #(0.5,0.4) DEV10(x, q_, reset_not);
nor #(0.5,0.4) DEV6(c, a, reset_not);
not #(0.3,0.2) DEV5(b, c);
not  DEV2(reset_not, reset);
not  DEV1(clk_not, clk);
not #(0.3,0.2) DEV11(q_, qbar_);
tranif0 #(0.2,0.2) m2(c, qbar_, clk_not);
tranif1 #(0.2,0.2) m1(c, qbar_, clk);
endmodule



//
// Definition of type tsbufr, specified structurally in the schematic
//
module tsbufr (in, out, enabl);
input	in;
output	out;
input	enabl;
supply1 Power;
supply0 Ground;
nmos #(0,0) n1(i2, Ground, in);
not #(0,0) not1(a, enabl);
pmos #(0,0) p1(i1, Power, in);
tranif0 #(0,0) mf1(out, i1, enabl);
tranif1 #(0,0) mf2(out, i2, a);
endmodule



//
// Definition of type tsflop, specified structurally in the schematic
//
module tsflop (clk, data, q_, q_bar_, tsq, taq_bar, enabl, reset);
input	clk;
input	data;
output	q_;
output	q_bar_;
output	tsq;
output	taq_bar;
input	enabl;
input	reset;
dflop  df1(clk, data, q_, q_bar_, reset);
tsbufr  bufnot(q_, tsq, enabl);
tsbufr  buffer(q_bar_, taq_bar, enabl);
endmodule


